<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.DarkActionBar">
        <item name="colorPrimary">@color/colorAccent</item>
        <item name="colorPrimaryDark">@color/colorAccentDark</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:windowBackground">@color/colorBackground</item>
        <!--<item name="android:lineSpacingMultiplier">2</item>-->

        <!-- Font -->
        <item name="android:fontFamily">@font/font</item>
        <item name="fontFamily">@font/font</item> <!-- target android sdk versions < 26 and > 14 if theme other than AppCompat -->
        <item name="android:textSize">16sp</item>
        <item name="android:textColor">@color/primaryTextColor</item>

        <!-- Buttons -->
        <item name="buttonStyle">@style/ButtonStyle</item>
        <item name="android:buttonStyle">@style/ButtonStyle</item>

        <!-- EditTexts -->
        <item name="editTextStyle">@style/EditTextStyle</item>
        <item name="android:editTextStyle">@style/EditTextStyle</item>

        <!-- AlertDialogs -->
        <item name="android:alertDialogTheme">@style/AlertDialogCustom</item>

    </style>

    <style name="AppTheme.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>

    <style name="AppTheme.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="AppTheme.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />

    <style name="ButtonStyle" parent="@style/Widget.AppCompat.Button">
        <item name="android:background">@drawable/button_background_statedrawable</item>
        <item name="android:textColor">@color/button_foreground</item>
        <item name="drawableTint">@color/button_foreground</item>
        <item name="textAllCaps">false</item>
    </style>

    <style name="SecondaryButtonStyle" parent="@style/Widget.AppCompat.Button">
        <item name="android:background">@drawable/button_background_statedrawable_secondary</item>
        <item name="android:textColor">@color/button_foreground</item>
        <item name="textAllCaps">false</item>
    </style>

    <style name="roundedImageViewRounded">
        <item name="cornerFamily">rounded</item>
        <item name="cornerSize">50%</item>
    </style>

    <style name="TextElegant">
        <item name="android:fontFamily">@font/ephesis</item>
        <item name="fontFamily">@font/ephesis</item> <!-- target android sdk versions < 26 and > 14 if theme other than AppCompat -->
        <item name="android:textSize">24sp</item>
    </style>

    <style name="TextTitle" parent="@style/TextElegant">
        <item name="android:textSize">40sp</item>
        <item name="android:textColor">@color/colorAccent</item>
        <item name="android:textStyle">bold</item>
        <item name="android:gravity">center_horizontal</item>
    </style>
    <style name="TextSubtitle" parent="@style/TextTitle">
        <item name="android:textSize">24sp</item>
        <item name="android:textColor">@color/colorAccentDark</item>
    </style>
    <style name="TextUserBadge">
        <item name="android:fontFamily">@font/ephesis</item>
        <item name="fontFamily">@font/ephesis</item> <!-- target android sdk versions < 26 and > 14 if theme other than AppCompat -->
        <item name="android:textStyle">bold</item>
        <item name="android:textColor">@color/white_translucent</item>
    </style>
    <style name="HighReadableText" parent="@style/AppTheme">
        <item name="android:fontFamily">@font/monospace</item>
        <item name="fontFamily">@font/monospace</item> <!-- target android sdk versions < 26 and > 14 if theme other than AppCompat -->
    </style>

    <style name="EditTextStyle" parent="@style/Widget.AppCompat.EditText">
        <item name="android:textSize">24sp</item>
        <item name="android:fontFamily">@font/font</item>
        <item name="android:textColor">@color/color_edittext_foreground</item>
        <item name="android:background">@drawable/edittext_background</item>
        <item name="android:padding">10dp</item>
    </style>

    <style name="ToolbarTheme" parent="ThemeOverlay.AppCompat.Light">
        <item name="android:fontFamily">@font/ephesis</item>
    </style>

    <style name="AlertDialogCustom" parent="Base.Theme.AppCompat.Light.Dialog.Alert">
        <item name="colorAccent">@color/color_button_primary</item>
        <item name="android:textColor">@color/color_button_primary</item>
    </style>

</resources>
